org.red5.server.messaging

## Interface IPullableProvider

All Superinterfaces:
  IMessageComponent, IProvider

All Known Implementing Classes:
  FileProvider

    public interface IPullableProvider
    extends IProvider

A provider that supports passive pulling of messages.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Field Summary

Fields
`static String` `KEY`

### Method Summary

Methods
`IMessage` `pullMessage(IPipe pipe)`
`IMessage` `pullMessage(IPipe pipe, long wait)`

### Methods inherited from interface org.red5.server.messaging.IMessageComponent

`onOOBControlMessage`

### Field Detail

#### KEY

    static final String KEY

### Method Detail

#### pullMessage

    IMessage pullMessage(IPipe pipe)
                         throws IOException

Throws:
  `IOException`

#### pullMessage

    IMessage pullMessage(IPipe pipe,
                       long wait)
                         throws IOException

Throws:
  `IOException`